#include <Rcpp.h>
using namespace Rcpp;

#include "cmll.h"

// [[Rcpp::export]]
List rcmll(NumericVector x, NumericVector y, NumericVector b) {
  
  //Rprintf("length of x is: %ld\n",x.size());
  //Rprintf("length of y is: %ld\n",x.size());
  
  int n = x.size();
  double b0 = b[0];
  double b1 = b[1];
  
  //Rprintf("bo, b1: %lf , %lf\n",b0,b1);
  
  double mll=0.0;
  cmll(&x[0],&y[0],n,b0,b1,&mll);
  //Rprintf("mll in c++: %lf\n",mll);
  
  // return value
  Rcpp::List retval;
  retval["check"] = "mll";
  retval["mll"] = Rcpp::wrap(mll);
  
  return retval;
}


// You can include R code blocks in C++ files processed with sourceCpp
// (useful for testing and development). The R code will be automatically 
// run after the compilation.
//

/*** R
timesTwo(42)
*/
